RU/2: Forum. Discussion for users and developer OS/2 (eCS). : Помогите разобраться с yum/rpm


Message list | Post new message | Reply to current | Home Search:
Previous message | Next message
From : Slavik Gnatenko, 2:467/99, http://moveton.tk
To : Igor Vaskov
Subj : Помогите разобраться с yum/rpm

> Снести его нельзя из-за конфликта os2-base. os2-base нельзя снести, из-за конфликта с половиной системы.
> Я так понимаю, что теперь осталось только переустановить систему. И еще попробую скопировать с другой системы псевдоюниксные каталоги, может полегчает.
Та ладно. Зачем так сурово? "rpm -e --nodeps os2-release" и ставь себе более другой.

> Мне очень интересно, где это прописывается? В текстовых файлах? Может можно поправить несколько символов и не сносить и не переставлять все?
Что именно "это"? База rpm лежит в @unixroot/var/lib/rpm. Можешь попробовать там что-то поправить :)

> > wget os2-release-00-2.oc00.noarch.rpm
> > rpm -i os2-release-00-2.oc00.noarch.rpm
> Не работает. Говорит, что конфликты и установлен более новый. Попробую с ключем игнора конфликтов это установить. Вроде был такой.
Можно и так, но не желательно. Тогда у тебя будут установлены оба пакета.

> > Кстати, а разве rpm-yum-bootstrap-1_5-p4.wpi при работе своего установочного скрипта не сказал, что он не может поставить 00-2 потому, что он пересекается по файлам с 01-1?
> Нет, не ругнулся.
Фантастика. Если из комстроки запускать rpm, то, как ты сам говоришь, ругается, а если из скрипта, то нет.

Sat 25 Apr 2020 23:59 Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:66.0) Gecko/2010




Programmed by Dmitri Maximovich, Dmitry I. Platonoff, Eugen Kuleshov.
25.09.99 (c) 1999, RU/2. All rights reserved.
Rewritten by Dmitry Ban. All rights ignored.